| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
DataSelectionAgent Class Reference

DataSelectionAgent base in charge of collecting all the refereces to DataObjects in a transient store that passes some selection criteria. More...

`#include <GaudiKernel/DataSelectionAgent.h>`

Inheritance diagram for DataSelectionAgent:
[legend]
Collaboration diagram for DataSelectionAgent:
[legend]

## Public Member Functions
| DataSelectionAgent ()
| Default creator. More...
virtual | ~DataSelectionAgent ()
| Destructor. More...
IDataSelector * | selectedObjects ()
| Return the set of selected DataObjects. More...
virtual bool | analyse (IRegistry *pRegistry, int)
| Analyses a given directory entry. More...
Public Member Functions inherited from IDataStoreAgent
virtual | ~IDataStoreAgent ()=default
| destructor More...

## Protected Attributes
IDataSelector | m_objects

## Detailed Description

DataSelectionAgent base in charge of collecting all the refereces to DataObjects in a transient store that passes some selection criteria.

The default behaviour is to collect all entries.

Author
  Markus Frank

Definition at line 16 of file DataSelectionAgent.h.

## Constructor & Destructor Documentation

DataSelectionAgent::DataSelectionAgent | ( |  | ) |
| inline

Default creator.

Definition at line 21 of file DataSelectionAgent.h.

21 {
22 }

virtual DataSelectionAgent::~DataSelectionAgent | ( |  | ) |
| inline virtual

Destructor.

Definition at line 24 of file DataSelectionAgent.h.

24 {
25 }

## Member Function Documentation

virtual bool DataSelectionAgent::analyse | ( | IRegistry * | pRegistry,
|  | int |
| ) |  |
| inline virtual

Analyses a given directory entry.

Implements IDataStoreAgent.

Definition at line 31 of file DataSelectionAgent.h.

31 {
32 DataObject* obj = pRegistry->object();
33 if ( 0 != obj ) m_objects.push_back(obj);
34 return true;
35 }
DataSelectionAgent::m_objects
IDataSelector m_objects
Definition: DataSelectionAgent.h:18
std::vector::push_back
T push_back(T...args)
IRegistry::object
virtual DataObject * object() const =0
Retrieve object behind the link.
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30

IDataSelector* DataSelectionAgent::selectedObjects | ( |  | ) |
| inline

Return the set of selected DataObjects.

Definition at line 27 of file DataSelectionAgent.h.

27 {
28 return &m_objects;
29 }
DataSelectionAgent::m_objects
IDataSelector m_objects
Definition: DataSelectionAgent.h:18

## Member Data Documentation

IDataSelector DataSelectionAgent::m_objects
| protected

Definition at line 18 of file DataSelectionAgent.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/DataSelectionAgent.h